{ inputs, ... }:
{
  perSystem =
    {
      pkgs,
      lib,
      self',
      ...
    }:
    let
      general = [
        pkgs.pkg-config
        pkgs.udev
        pkgs.alsaLib
        pkgs.vulkan-loader
        pkgs.wayland
        pkgs.libxkbcommon
        pkgs.openssl
      ];
    in
    {
      devShells = {
        default = pkgs.mkShell {
          packages = general ++ [ self'.packages.toolchain ];
          LD_LIBRARY_PATH = lib.makeLibraryPath general;
        };
      };
    };
}
